/*----------------------*/
/*     DNMLinkI.h       */
/*----------------------*/
/* Date : 1997-04-02    */
/* Version : 0.10       */
/* Modify : 1997-04-02  */
/* (c) Ubi R&D 1997     */
/*----------------------*/
 
/*-----------------------*/
/* Link Table            */
/*-----------------------*/
 
#ifndef __DNMLINKI_H__
#define __DNMLINKI_H__
 
/* For DLL using these function */
#include "cpa_expt.h" 
#include "SCR.h"
 
#ifdef  __cplusplus
extern "C" {
#endif
 
/* Initialisation Function */
extern CPA_EXPORT void DNM_fn_vInitLinkTableOfIdCard();
 
/* Export the link table */
 
#if !defined(U64)
extern CPA_EXPORT SCR_tdst_Link_Table * DNM_fn_p_stGetIdCardLinkTable();
#endif /* U64 */
 
/* Create an Entry */
extern CPA_EXPORT void DNM_fn_v_SetValueInLinkTableOfIdCard( char *_p_szKey,unsigned long _ulValue);
 
/* Find Handle with Key */
extern CPA_EXPORT unsigned long DNM_fn_ulLink_SearchKeyInLinkTableOfIdCard( char *_p_szKey);
 
/* Find Key with Handle */
extern CPA_EXPORT char * DNM_fn_p_cSearchValueInLinkTableOfIdCard( unsigned long _ulValue);
 
/* Return pointer on the link table */
#if !defined(U64)
extern CPA_EXPORT SCR_tdst_Link_Table * DNM_fn_p_stGetLinkTableOfIdCard(void);
#endif /* U64 */
 
 
/*	Ronan*/
#if !defined(U64)
#define	M_Export(Type)	\
extern	CPA_EXPORT	void	DNM_fn_vWriteAllMec##Type##BinaryBlocs(	\
	char *_szBinaryFileName);										\
extern	CPA_EXPORT	void	DNM_fn_vReadAllMec##Type##BinaryBlocs(	\
	char *_szBinaryFileName);										\
extern	CPA_EXPORT	SCR_tdst_Link_Table stLinkTableOfMec##Type##;
#else /* U64 */
#define	M_Export(Type)	\
extern	CPA_EXPORT	void	DNM_fn_vWriteAllMec##Type##BinaryBlocs(	\
	char *_szBinaryFileName);										\
extern	CPA_EXPORT	void	DNM_fn_vReadAllMec##Type##BinaryBlocs(	\
	char *_szBinaryFileName);
#endif /* U64 */
 
M_Export(CameraIdCard)
M_Export(BaseIdCard)
 
 
#if !defined(U64)
extern SCR_tdst_Link_Table* g_a_p_stIdCardsLinkTables[2];
#endif /* U64 */
 
#ifdef  __cplusplus
}
#endif
 
#endif /* __DNMLINKE_H__ */
